## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

### Get Handover Providers

**GET** /v2.0/handover/providers

#### Try it

**cURL**

```bash
curl --request GET \
  --url https://api-trial.cognigy.ai/new/v2.0/handover/providers \
  --header 'X-API-Key: <api-key>'
```

```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/handover/providers"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
```

```javascript
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api-trial.cognigy.ai/new/v2.0/handover/providers', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/handover/providers",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "X-API-Key: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://api-trial.cognigy.ai/new/v2.0/handover/providers"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("X-API-Key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

#### Response Status Codes

- **200**
- **400**
- **401**
- **402**
- **403**
- **404**
- **405**
- **409**
- **413**
- **500**
- **501**
- **502**
- **503**
- **504**

#### Response Structure

```json
{
  "items": [
    {
      "_id": "<string>",
      "referenceId": "<string>",
      "organisationId": "<string>",
      "serviceId": "<string>",
      "service": "<string>",
      "localeId": "<string>",
      "name": "<string>",
      "createdAt": 123,
      "lastChangedAt": 123,
      "createdBy": "<string>",
      "lastChangedBy": "<string>",
      "properties": [
        {}
      ],
      "settings": {}
    }
  ]
}
```

### Authorizations

#### X-API-Key
- **Type**: string
- **Required**: Yes
- **Location**: header
- **Description**: Supply the API Key in the HTTP-Header

### Headers

| Header | Type | Description |
|--------|------|-------------|
| Accept | enum<string> | The `Accept` header specifies the media type that the client expects in the response. Available options: `application/json`, `application/hal+json`, `application/xml`, `text/xml`, `text/csv`. The default value is `application/json`. |

### Query Parameters

- **projectId** (string): The unique identifier for the Project. Required string length: `24`. Pattern: `^[a-z0-9]{24}$`.

### Response Information

- **200**: application/json - Returns an array of Handover Provider objects.
